## lxqt-build-tools 2.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,8 @@
 option(WITH_XDG_DIRS_FALLBACK "Use our XDG_CONFIG_DIRS fallback" ON)
 
 set(LXQT_BUILD_TOOLS_MAJOR_VERSION 2)
-set(LXQT_BUILD_TOOLS_MINOR_VERSION 1)
-set(LXQT_BUILD_TOOLS_PATCH_VERSION 0)
+set(LXQT_BUILD_TOOLS_MINOR_VERSION 2)
+set(LXQT_BUILD_TOOLS_PATCH_VERSION 1)
 set(LXQT_BUILD_TOOLS_VERSION ${LXQT_BUILD_TOOLS_MAJOR_VERSION}.${LXQT_BUILD_TOOLS_MINOR_VERSION}.${LXQT_BUILD_TOOLS_PATCH_VERSION})
 set(LXQT_MIN_LINGUIST_VERSION "6.6")
