=== debian/changelog ===
lxqt-build-tools (2.2.1-0ubuntu1) questing; urgency=medium

  * New upstream release.
  * Update copyright file
  * Update Standards-Version to 4.7.2, no changes needed.
  * Add Lintian override for missing manual page for lxqt2-transupdate

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 30 Jul 2025 16:11:53 -0500

lxqt-build-tools (2.1.0-0ubuntu3) plucky; urgency=medium

  * Update Standards-Version to 4.7.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 15:57:52 -0600

lxqt-build-tools (2.1.0-0ubuntu2) plucky; urgency=medium

  * Bump the minimum C++ standard to 20.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Jan 2025 01:49:22 -0600

lxqt-build-tools (2.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:32:28 -0600
