## lxqt-build-tools 2.3.0

=== debian/changelog ===
lxqt-build-tools (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0.
  * d/control: Bump Standards-Version to 4.7.2.
  * d/watch: Upgrade to version 5.
  * d/copyright: Remove unused WTFPL-2.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 08 Nov 2025 22:11:17 +0800

lxqt-build-tools (2.2.1-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 11 Aug 2025 17:02:34 +0800

lxqt-build-tools (2.2.1-1~exp1) experimental; urgency=medium

  * New upstream version 2.2.1.
  * debian/copyright: drop file not exists in new upstream release.
  * debian/copyright: Add myself into copyright.

 -- Joel Orón Valiente <moded3v@gmail.com>  Thu, 10 Jul 2025 15:10:51 +0200
